package apiaccess

import (
	"context"
	"encoding/json"
	"net/http"
)

// GetDefault gets default apiaccess group
func (a APIAccess) GetDefault(ctx context.Context) (*ItemAPIAccessDefault, error) {
	url := "/cloudbroker/apiaccess/getDefault"

	info := ItemAPIAccessDefault{}

	res, err := a.client.DecortApiCall(ctx, http.MethodPost, url, nil)
	if err != nil {
		return nil, err
	}

	err = json.Unmarshal(res, &info)
	if err != nil {
		return nil, err
	}

	return &info, nil
}
